(in-package :gsharp-glyphs)

(defmacro defglyph (name)
  (let ((drawing-function (intern (concatenate 'string
					       "DRAW-"
					       (symbol-name name)))))
    `(defun ,name (&rest args)
      (let ((design (make-postscript-path)))
	(apply (function ,drawing-function) design args)
	design))))

(defglyph treble-clef)
(defglyph percussion-clef)
(defglyph c-clef)
(defglyph bass-clef)
(defglyph turn)
(defglyph mordent)
(defglyph double-mordent)
(defglyph trill-section)
(defglyph trill-sections)
(defglyph arpeggio)
(defglyph arpeggios)
(defglyph tr)
(defglyph accent)
(defglyph tnecca)
(defglyph breath-mark)
(defglyph caesura)
(defglyph fermata)
(defglyph upside-down-fermata)
(defglyph repeat-sign)
(defglyph upper-bracket)
(defglyph lower-bracket)
(defglyph segno)
(defglyph coda)
(defglyph pedal-off)
(defglyph ped)
(defglyph left-paren)
(defglyph right-paren)
(defglyph wedge)
(defglyph down-bow)
(defglyph up-bow)
(defglyph zero)
(defglyph one)
(defglyph two)
(defglyph three)
(defglyph four)
(defglyph five)
(defglyph six)
(defglyph seven)
(defglyph eight)
(defglyph nine)
(defglyph common-time)
(defglyph cut-time)
(defglyph plus)
(defglyph sharp)
(defglyph flat)
(defglyph double-sharp)
(defglyph natural)
;;(defglyph double-flat)
(defglyph f)
(defglyph p)
(defglyph lig-p)
(defglyph m)
(defglyph n)
;;(defglyph niente)
;;(defglyph subito)
(defglyph z)
(defglyph s)
(defglyph r)
(defglyph double-whole-note)
(defglyph whole-note)
(defglyph half-note)
(defglyph quarter-note)
(defglyph diamond)
;;(defglyph diamond-1)
;;(defglyph filled-diamond-1)
(defglyph rhythmx)
;;(defglyph circled-x)
;;(defglyph slash)
;;(defglyph mslash)
;;(defglyph triangle)
;;(defglyph square)
(defglyph 8th-flag-up)
(defglyph extend-flag-up)
(defglyph 8th-flag-down)
(defglyph extend-flag-down)
(defglyph whole-rest)
(defglyph half-rest)
(defglyph quarter-rest)
(defglyph 8th-rest)
(defglyph 16th-rest)
(defglyph 32nd-rest)
(defglyph 64th-rest)
(defglyph 128th-rest)
;;(defglyph measure-rest)
(defglyph double-whole-rest)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Clefs

(defun draw-treble-clef (design)
  (moveto design 0.490 -0.258)
  (curveto design 0.516 -0.430 0.546 -0.672 0.298 -0.590)
  (curveto design 0.404 -0.580 0.432 -0.436 0.320 -0.398)
  (curveto design 0.210 -0.398 0.180 -0.518 0.256 -0.600)
  (curveto design 0.290 -0.622 0.310 -0.630 0.338 -0.638)
  (curveto design 0.576 -0.668 0.554 -0.402 0.522 -0.252)
  (curveto design 0.892 -0.126 0.746 0.314 0.442 0.236)
  (curveto design 0.436 0.286 0.410 0.388 0.420 0.440)
  (curveto design 0.430 0.490 0.484 0.558 0.510 0.606)
  (curveto design 0.624 0.814 0.616 1.000 0.496 1.108)
  (curveto design 0.410 1.118 0.348 0.888 0.348 0.744)
  (curveto design 0.348 0.696 0.364 0.618 0.348 0.576)
  (curveto design 0.332 0.530 0.290 0.482 0.264 0.440)
  (curveto design 0.152 0.260 0.054 0.082 0.182 -0.120)
  (curveto design 0.256 -0.238 0.358 -0.258 0.490 -0.258)
  (moveto design 0.394 0.622)
  (curveto design 0.374 0.696 0.370 0.978 0.512 0.996)
  (curveto design 0.666 0.948 0.454 0.668 0.394 0.622)
  (moveto design 0.382 0.398)
  (lineto design 0.410 0.224)
  (curveto design 0.252 0.126 0.252 -0.062 0.358 -0.106)
  (lineto design 0.372 -0.088)
  (curveto design 0.284 0.004 0.346 0.132 0.424 0.136)
  (lineto design 0.482 -0.222)
  (curveto design 0.382 -0.220 0.306 -0.222 0.236 -0.134)
  (curveto design 0.096 0.038 0.278 0.242 0.384 0.406)
  (moveto design 0.516 -0.220)
  (lineto design 0.458 0.146)
  (curveto design 0.678 0.176 0.744 -0.146 0.516 -0.220))

(defun draw-percussion-clef (design)
  (moveto design 0 0)
  (lineto design 0 .5)
  (rlineto design .045 0)
  (rlineto design 0 -.5)
  (rlineto design -.045 0)
  (moveto design .085 0)
  (rlineto design 0 .5)
  (rlineto design .045 0)
  (rlineto design 0 -.5))

(defun draw-c-clef (design)
  (moveto design 0.465 0.442)
  (lineto design 0.465 0.475)
  (curveto design 0.765 0.503 0.643 0.012 0.515 0.080)
  (curveto design 0.453 0.132 0.450 0.197 0.423 0.257)
  (curveto design 0.382 0.115 0.352 0.042 0.305 0.005)
  (lineto design 0.305 0.500)
  (lineto design 0.282 0.500)
  (lineto design 0.282 -0.500)
  (lineto design 0.305 -0.500)
  (lineto design 0.305 -0.005)
  (curveto design 0.353 -0.043 0.380 -0.112 0.423 -0.257)
  (curveto design 0.452 -0.192 0.455 -0.132 0.517 -0.080)
  (curveto design 0.643 -0.012 0.765 -0.503 0.467 -0.475)
  (lineto design 0.467 -0.438)
  (curveto design 0.533 -0.385 0.503 -0.293 0.417 -0.305)
  (curveto design 0.263 -0.383 0.483 -0.645 0.692 -0.437)
  (curveto design 0.825 -0.283 0.693 0.032 0.440 -0.075)
  (lineto design 0.410 0.000)
  (lineto design 0.440 0.075)
  (curveto design 0.693 -0.032 0.825 0.283 0.692 0.437)
  (curveto design 0.493 0.647 0.263 0.377 0.430 0.303)
  (curveto design 0.502 0.297 0.547 0.383 0.468 0.442)
  (moveto design 0.120 0.500)
  (lineto design 0.120 -0.500)
  (lineto design 0.227 -0.500)
  (lineto design 0.227 0.500)
  (lineto design 0.120 0.500))

(defun draw-bass-clef (design)
  (moveto design 0.058 0.075)
  (curveto design 0.115 0.053 0.108 0.145 0.223 0.098)
  (curveto design 0.292 0.052 0.278 -0.057 0.173 -0.072)
  (curveto design 0.085 -0.080 0.003 -0.018 0.007 0.098)
  (curveto design 0.045 0.262 0.238 0.288 0.343 0.250)
  (curveto design 0.492 0.192 0.532 0.067 0.517 -0.047)
  (curveto design 0.497 -0.292 0.072 -0.522 0.017 -0.535)
  (lineto design 0.007 -0.512)
  (curveto design 0.127 -0.452 0.302 -0.342 0.367 -0.152)
  (curveto design 0.437 0.045 0.377 0.187 0.275 0.227)
  (curveto design 0.128 0.267 0.012 0.165 0.062 0.075)
  (circle design .6 .1 .0525)
  (circle design .6 -.1 .0525))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Ornaments and Accents

(defun draw-turn (design)
  (moveto design -0.096 0.062)
  (curveto design -0.130 0.104 -0.124 0.208 -0.048 0.214)
  (curveto design 0.060 0.204 0.154 0.040 0.258 0.010)
  (curveto design 0.384 -0.028 0.524 0.116 0.418 0.220)
  (curveto design 0.372 0.266 0.264 0.262 0.278 0.180)
  (curveto design 0.310 0.122 0.370 0.154 0.394 0.196)
  (curveto design 0.432 0.144 0.428 0.054 0.342 0.044)
  (curveto design 0.242 0.054 0.148 0.216 0.046 0.248)
  (curveto design -0.080 0.296 -0.220 0.142 -0.114 0.036)
  (curveto design -0.070 -0.008 0.040 -0.004 0.028 0.080)
  (curveto design -0.002 0.142 -0.066 0.102 -0.096 0.062))

(defun draw-mordent (design)
  (moveto design 0.310 0.103)
  (curveto design 0.335 0.129 0.334 0.129 0.359 0.104)
  (lineto design 0.425 0.031)
  (curveto design 0.459 -0.001 0.444 -0.002 0.478 0.028)
  (lineto design 0.606 0.156)
  (lineto design 0.606 0.193)
  (lineto design 0.563 0.146)
  (curveto design 0.536 0.121 0.535 0.121 0.505 0.151)
  (lineto design 0.436 0.231)
  (curveto design 0.407 0.262 0.416 0.258 0.388 0.232)
  (lineto design 0.307 0.156)
  (curveto design 0.282 0.132 0.283 0.130 0.262 0.153)
  (lineto design 0.190 0.232)
  (curveto design 0.161 0.265 0.167 0.265 0.136 0.237)
  (lineto design 0.000 0.111)
  (lineto design 0.000 0.075)
  (lineto design 0.051 0.122)
  (curveto design 0.083 0.153 0.086 0.152 0.109 0.120)
  (lineto design 0.189 0.030)
  (curveto design 0.214 0.003 0.206 0.003 0.236 0.031)
  (lineto design 0.310 0.103))

(defun draw-double-mordent (design)
  (moveto design 0.560 0.106)
  (curveto design 0.586 0.132 0.583 0.132 0.620 0.092)
  (lineto design 0.681 0.031)
  (curveto design 0.708 0.000 0.707 0.004 0.736 0.027)
  (lineto design 0.870 0.146)
  (lineto design 0.870 0.187)
  (lineto design 0.821 0.138)
  (curveto design 0.793 0.115 0.796 0.111 0.761 0.145)
  (lineto design 0.691 0.220)
  (curveto design 0.662 0.257 0.655 0.257 0.629 0.224)
  (lineto design 0.558 0.145)
  (curveto design 0.533 0.121 0.537 0.118 0.505 0.151)
  (lineto design 0.439 0.224)
  (curveto design 0.416 0.251 0.418 0.252 0.393 0.227)
  (lineto design 0.320 0.159)
  (curveto design 0.286 0.121 0.286 0.125 0.256 0.156)
  (lineto design 0.189 0.226)
  (curveto design 0.154 0.266 0.160 0.266 0.131 0.238)
  (lineto design 0.000 0.115)
  (lineto design 0.000 0.075)
  (lineto design 0.050 0.121)
  (curveto design 0.081 0.151 0.077 0.146 0.108 0.117)
  (lineto design 0.188 0.029)
  (curveto design 0.210 0.000 0.210 0.006 0.236 0.030)
  (lineto design 0.310 0.104)
  (curveto design 0.333 0.130 0.331 0.128 0.358 0.100)
  (lineto design 0.425 0.027)
  (curveto design 0.448 0.004 0.444 0.007 0.476 0.031)
  (lineto design 0.561 0.105))

(defun draw-trill-section (design)
  (moveto design -0.045 0.053)
  (lineto design -0.045 0.075)
  (curveto design -0.028 0.099 0.058 0.171 0.113 0.158)
  (curveto design 0.179 0.142 0.245 0.076 0.287 0.079)
  (curveto design 0.339 0.076 0.354 0.095 0.383 0.118)
  (lineto design 0.383 0.097)
  (curveto design 0.366 0.076 0.279 0.001 0.223 0.008)
  (curveto design 0.150 0.014 0.095 0.091 0.050 0.094)
  (curveto design 0.002 0.097 -0.017 0.079 -0.045 0.053))

(defun draw-trill-sections (design count)
  (loop for i from 0 below count and x0 from 0.0 by 0.385 do
    (moveto design (+ x0 -0.045) 0.053)
    (lineto design (+ x0 -0.045) 0.075)
    (curveto design (+ x0 -0.028) 0.099 (+ x0 0.058) 0.171 (+ x0 0.113) 0.158)
    (curveto design (+ x0 0.179) 0.142 (+ x0 0.245) 0.076 (+ x0 0.287) 0.079)
    (curveto design (+ x0 0.339) 0.076 (+ x0 0.354) 0.095 (+ x0 0.383) 0.118)
    (lineto design (+ x0 0.383) 0.097)
    (curveto design (+ x0 0.366) 0.076 (+ x0 0.279) 0.001 (+ x0 0.223) 0.008)
    (curveto design (+ x0 0.150) 0.014 (+ x0 0.095) 0.091 (+ x0 0.050) 0.094)
    (curveto design (+ x0 0.002) 0.097 (+ x0 -0.017) 0.079 (+ x0 -0.045) 0.053)))

(defun draw-arpeggio (design)
  (moveto design 0.005 0.147)
  (curveto design -0.004 0.115 0.042 0.046 0.047 0.039)
  (curveto design 0.049 0.034 0.068 0.005 0.071 0.005)
  (curveto design 0.097 0.009 0.074 0.027 0.070 0.041)
  (curveto design 0.054 0.071 0.055 0.083 0.056 0.098)
  (curveto design 0.067 0.137 0.112 0.153 0.132 0.203)
  (curveto design 0.138 0.261 0.042 0.318 0.058 0.347)
  (curveto design 0.061 0.389 0.125 0.414 0.141 0.455)
  (curveto design 0.142 0.497 0.105 0.527 0.097 0.539)
  (curveto design 0.094 0.541 0.074 0.573 0.070 0.574)
  (curveto design 0.047 0.568 0.065 0.547 0.075 0.534)
  (curveto design 0.085 0.511 0.099 0.513 0.085 0.485)
  (curveto design 0.061 0.451 0.010 0.432 0.004 0.389)
  (curveto design 0.015 0.326 0.084 0.284 0.081 0.245)
  (curveto design 0.083 0.206 0.018 0.193 0.004 0.146))

(defun draw-arpeggios (design count)
  (loop for i from 0 below count and y0 from 0.0 by 0.52 do
    (moveto design 0.005 (+ y0 0.147))
    (curveto design -0.004 (+ y0 0.115) 0.042 (+ y0 0.046) 0.047 (+ y0 0.039))
    (curveto design 0.049 (+ y0 0.034) 0.068 (+ y0 0.005) 0.071 (+ y0 0.005))
    (curveto design 0.097 (+ y0 0.009) 0.074 (+ y0 0.027) 0.070 (+ y0 0.041))
    (curveto design 0.054 (+ y0 0.071) 0.055 (+ y0 0.083) 0.056 (+ y0 0.098))
    (curveto design 0.067 (+ y0 0.137) 0.112 (+ y0 0.153) 0.132 (+ y0 0.203))
    (curveto design 0.138 (+ y0 0.261) 0.042 (+ y0 0.318) 0.058 (+ y0 0.347))
    (curveto design 0.061 (+ y0 0.389) 0.125 (+ y0 0.414) 0.141 (+ y0 0.455))
    (curveto design 0.142 (+ y0 0.497) 0.105 (+ y0 0.527) 0.097 (+ y0 0.539))
    (curveto design 0.094 (+ y0 0.541) 0.074 (+ y0 0.573) 0.070 (+ y0 0.574))
    (curveto design 0.047 (+ y0 0.568) 0.065 (+ y0 0.547) 0.075 (+ y0 0.534))
    (curveto design 0.085 (+ y0 0.511) 0.099 (+ y0 0.513) 0.085 (+ y0 0.485))
    (curveto design 0.061 (+ y0 0.451) 0.010 (+ y0 0.432) 0.004 (+ y0 0.389))
    (curveto design 0.015 (+ y0 0.326) 0.084 (+ y0 0.284) 0.081 (+ y0 0.245))
    (curveto design 0.083 (+ y0 0.206) 0.018 (+ y0 0.193) 0.004 (+ y0 0.146))))

(defun draw-tr (design)
  (moveto design 0.162 0.252)
  (lineto design 0.198 0.380)
  (lineto design 0.183 0.380)
  (lineto design 0.121 0.341)
  (lineto design 0.093 0.248)
  (lineto design -0.005 0.244)
  (lineto design -0.020 0.210)
  (lineto design 0.083 0.216)
  (lineto design 0.032 0.050)
  (curveto design 0.002 -0.038 0.044 -0.034 0.205 0.021)
  (lineto design 0.198 -0.005)
  (lineto design 0.262 -0.005)
  (lineto design 0.324 0.205)
  (curveto design 0.325 0.207 0.339 0.239 0.359 0.248)
  (curveto design 0.384 0.240 0.368 0.222 0.369 0.209)
  (curveto design 0.380 0.164 0.429 0.169 0.434 0.215)
  (curveto design 0.435 0.281 0.333 0.294 0.305 0.222)
  (curveto design 0.300 0.276 0.243 0.260 0.209 0.256)
  (lineto design 0.162 0.252)
  (moveto design 0.146 0.211)
  (curveto design 0.228 0.220 0.269 0.237 0.266 0.216)
  (lineto design 0.222 0.076)
  (curveto design 0.224 0.058 0.075 0.005 0.099 0.041)
  (lineto design 0.146 0.211))

(defun draw-accent (design)
  (moveto design 0 0)
  (lineto design .4 .124)
  (lineto design 0 .248)
  (lineto design 0 .216)
  (lineto design .3 .124)
  (lineto design .0 .032)
  (lineto design 0 0))

(defun draw-tnecca (design) ;accent backwards
  (moveto design 0 .124)
  (lineto design .4 .248)
  (lineto design .4 .216)
  (lineto design .1 .124)
  (lineto design .4 .032)
  (lineto design .4 0)
  (lineto design 0 .124))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Pauses

(defun draw-breath-mark (design)
  (moveto design 0.027 -0.005)
  (curveto design 0.047 0.093 0.192 0.085 0.186 -0.055)
  (curveto design 0.183 -0.144 0.104 -0.198 0.049 -0.224)
  (lineto design 0.045 -0.215)
  (curveto design 0.138 -0.135 0.161 -0.087 0.127 -0.060)
  (curveto design 0.093 -0.094 0.025 -0.075 0.027 -0.005))

(defun draw-caesura (design)
  (moveto design 0 0)
  (lineto design .05 0)
  (lineto design .33 .5)
  (lineto design .28 .5)
  (lineto design 0 0)
  (moveto design .17 0)
  (lineto design .22 0)
  (lineto design .5 .5)
  (lineto design .45 .5)
  (lineto design .17 0))

(defun draw-fermata (design)
  (moveto design 0.0 0.0)
  (curveto design -0.023 0.197 0.14 0.38 0.338 0.38)
  (curveto design 0.535 0.38 0.698 0.197 0.675 0.0)
  (rlineto design -.01 0.0)
  (curveto design 0.652 0.173 0.513 0.296 0.338 0.296)
  (curveto design 0.163 0.296 0.023 0.173 0.01 0.0)
  (lineto design 0 0)
  (circle design 0.338 0.0925 .05))

(defun draw-upside-down-fermata (design)
  (moveto design 0.0000 -0.003)
  (curveto design -0.023 -0.199 0.14 -0.383 0.338 -0.383)
  (curveto design 0.535 -0.383 0.698 -0.199 0.675 -0.003)
  (rlineto design -.01 0)
  (curveto design 0.652 -0.176 0.513 -0.298 0.338 -0.298)
  (curveto design 0.163 -0.298 0.023 -0.176 0.01 -0.003)
  (lineto design 0 -0.003)
  (circle design .338 -0.0925 .05))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Miscellaneous

(defun draw-repeat-sign (design)
  (moveto design 0 0)
  (lineto design .425 .5)
  (rlineto design .173 0)
  (rlineto design -.425 -.5)
  (circle design .121 .375 .06)
  (circle design .490 .121 .06))

(defun draw-upper-bracket (design)
  (moveto design 0.100 0.365)
  (rlineto design 0.000 -0.145)
  (rlineto design 0.075 0.000)
  (rlineto design 0.000 0.110)
  (curveto design 0.230 0.350 0.270 0.370 0.310 0.430)
  (rlineto design -0.012 0.003)
  (curveto design 0.270 0.400 0.230 0.370 0.100 0.365))

(defun draw-lower-bracket (design)
  (moveto design 0.100 -0.365)
  (rlineto design 0.000 0.145)
  (rlineto design 0.075 0.000)
  (rlineto design 0.000 -0.110)
  (curveto design 0.230 -0.350 0.270 -0.370 0.310 -0.430)
  (rlineto design -0.012 -0.003)
  (curveto design 0.270 -0.400 0.230 -0.370 0.100 -0.365))

(defun draw-segno (design)
  (moveto design 0.533 0.688)
  (lineto design 0.479 0.688)
  (lineto design 0.278 0.396)
  (curveto design 0.144 0.515 0.086 0.550 0.093 0.611)
  (curveto design 0.097 0.705 0.264 0.704 0.236 0.626)
  (curveto design 0.237 0.601 0.210 0.596 0.204 0.567)
  (curveto design 0.211 0.476 0.334 0.494 0.315 0.587)
  (curveto design 0.271 0.850 -0.209 0.656 0.220 0.312)
  (lineto design 0.016 0.007)
  (lineto design 0.068 0.007)
  (lineto design 0.262 0.287)
  (curveto design 0.340 0.236 0.486 0.141 0.450 0.059)
  (curveto design 0.431 -0.023 0.305 -0.005 0.306 0.060)
  (curveto design 0.303 0.094 0.344 0.087 0.338 0.130)
  (curveto design 0.331 0.209 0.231 0.211 0.224 0.121)
  (curveto design 0.261 -0.190 0.776 0.047 0.319 0.374)
  (lineto design 0.533 0.688)
  (circle design 0.09 .28 .05) 
  (circle design .45 .40 .05 ))

(defun draw-coda (design)
  (moveto design 0.241 0.379)
  (lineto design 0.241 0.429)
  (lineto design 0.216 0.429)
  (lineto design 0.216 0.379)
  (curveto design 0.130 0.375 0.071 0.280 0.075 0.196)
  (lineto design 0.020 0.196)
  (lineto design 0.020 0.171)
  (lineto design 0.077 0.171)
  (curveto design 0.071 0.090 0.132 -0.002 0.216 -0.006)
  (lineto design 0.216 -0.056)
  (lineto design 0.241 -0.056)
  (lineto design 0.241 -0.006)
  (curveto design 0.321 0.002 0.381 0.090 0.376 0.171)
  (lineto design 0.431 0.171)
  (lineto design 0.431 0.196)
  (lineto design 0.376 0.196)
  (curveto design 0.382 0.279 0.324 0.379 0.241 0.379)
  (moveto design 0.308 0.169)
  (curveto design 0.308 0.097 0.294 0.037 0.241 0.020)
  (lineto design 0.241 0.171)
  (lineto design 0.307 0.171)
  (moveto design 0.216 0.020)
  (curveto design 0.163 0.040 0.144 0.109 0.141 0.171)
  (lineto design 0.216 0.171)
  (lineto design 0.216 0.020)
  (moveto design 0.141 0.196)
  (curveto design 0.145 0.265 0.166 0.346 0.216 0.353)
  (lineto design 0.216 0.196)
  (lineto design 0.137 0.196)
  (moveto design 0.241 0.353)
  (curveto design 0.286 0.345 0.308 0.265 0.312 0.196)
  (lineto design 0.241 0.196)
  (lineto design 0.241 0.353))

(defun draw-pedal-off (design)
  (moveto design 0.219 0.198)
  (curveto design 0.231 0.172 0.195 0.138 0.162 0.173)
  (curveto design 0.149 0.219 0.206 0.231 0.219 0.198)
  (moveto design 0.144 0.242)
  (curveto design 0.166 0.223 0.193 0.230 0.181 0.267)
  (curveto design 0.178 0.306 0.144 0.302 0.151 0.335)
  (curveto design 0.160 0.381 0.225 0.377 0.224 0.330)
  (curveto design 0.228 0.302 0.198 0.306 0.197 0.267)
  (curveto design 0.194 0.237 0.213 0.222 0.237 0.247)
  (curveto design 0.263 0.276 0.234 0.297 0.268 0.322)
  (curveto design 0.314 0.347 0.354 0.297 0.316 0.259)
  (curveto design 0.296 0.237 0.273 0.266 0.246 0.237)
  (curveto design 0.223 0.217 0.232 0.194 0.266 0.197)
  (curveto design 0.303 0.202 0.302 0.232 0.332 0.228)
  (curveto design 0.381 0.232 0.388 0.156 0.332 0.152)
  (curveto design 0.302 0.148 0.302 0.185 0.266 0.183)
  (curveto design 0.231 0.186 0.228 0.169 0.245 0.143)
  (curveto design 0.273 0.116 0.297 0.141 0.316 0.117)
  (curveto design 0.350 0.075 0.303 0.029 0.258 0.062)
  (curveto design 0.237 0.082 0.261 0.102 0.233 0.133)
  (curveto design 0.212 0.151 0.194 0.147 0.197 0.113)
  (curveto design 0.203 0.075 0.232 0.075 0.230 0.043)
  (curveto design 0.223 -0.004 0.159 -0.002 0.152 0.042)
  (curveto design 0.148 0.075 0.185 0.076 0.183 0.113)
  (curveto design 0.183 0.147 0.163 0.150 0.141 0.133)
  (curveto design 0.113 0.104 0.140 0.079 0.113 0.059)
  (curveto design 0.069 0.037 0.033 0.077 0.063 0.117)
  (curveto design 0.082 0.141 0.104 0.117 0.132 0.142)
  (curveto design 0.153 0.163 0.144 0.188 0.113 0.182)
  (curveto design 0.073 0.182 0.075 0.147 0.046 0.152)
  (curveto design -0.003 0.152 -0.003 0.227 0.048 0.227)
  (curveto design 0.075 0.231 0.075 0.198 0.113 0.196)
  (curveto design 0.141 0.197 0.147 0.207 0.133 0.237)
  (curveto design 0.102 0.264 0.082 0.237 0.062 0.261)
  (curveto design 0.028 0.302 0.077 0.347 0.118 0.318)
  (curveto design 0.138 0.297 0.116 0.275 0.144 0.242))

(defun draw-ped (design)
  (moveto design 0.368 0.074)
  (curveto design 0.341 0.121 0.335 0.147 0.371 0.203)
  (curveto design 0.435 0.289 0.531 0.243 0.488 0.155)
  (curveto design 0.472 0.117 0.434 0.096 0.414 0.080)
  (curveto design 0.429 0.038 0.494 -0.006 0.541 0.075)
  (curveto design 0.559 0.123 0.558 0.224 0.663 0.252)
  (curveto design 0.603 0.354 0.449 0.393 0.461 0.405)
  (curveto design 0.902 0.262 0.705 -0.124 0.555 0.046)
  (curveto design 0.488 -0.032 0.417 0.021 0.389 0.055)
  (curveto design 0.303 -0.018 0.303 -0.020 0.248 0.040)
  (curveto design 0.218 0.108 0.191 0.062 0.164 0.047)
  (curveto design 0.010 -0.056 0.032 0.019 0.124 0.062)
  (curveto design 0.229 0.117 0.200 0.091 0.228 0.195)
  (curveto design 0.240 0.241 0.149 0.250 0.166 0.311)
  (lineto design 0.207 0.493)
  (curveto design -0.041 0.441 0.049 0.261 0.126 0.387)
  (lineto design 0.138 0.381)
  (curveto design -0.020 0.119 -0.100 0.472 0.220 0.507)
  (curveto design 0.548 0.486 0.399 0.171 0.254 0.374)
  (lineto design 0.264 0.384)
  (curveto design 0.338 0.259 0.521 0.449 0.228 0.488)
  (lineto design 0.198 0.356)
  (curveto design 0.181 0.304 0.273 0.294 0.262 0.241)
  (lineto design 0.229 0.101)
  (curveto design 0.273 0.070 0.282 -0.038 0.368 0.074)
  (moveto design 0.391 0.094)
  (curveto design 0.456 0.130 0.476 0.171 0.468 0.213)
  (curveto design 0.452 0.276 0.333 0.171 0.391 0.094)
  (moveto design 0.627 0.019)
  (curveto design 0.533 0.041 0.586 0.228 0.678 0.229)
  (curveto design 0.729 0.170 0.712 0.025 0.627 0.019)
  (circle design 0.8 0.04 .04))

(defun draw-left-paren (design)
  (moveto design 0.157 0.580)
  (curveto design 0.090 0.540 -0.015 0.442 -0.012 0.287)
  (curveto design -0.007 0.145 0.082 0.040 0.147 -0.005)
  (lineto design 0.153 0.003)
  (curveto design 0.035 0.122 0.047 0.193 0.047 0.297)
  (curveto design 0.042 0.417 0.067 0.490 0.162 0.570)
  (lineto design 0.157 0.580))

(defun draw-right-paren (design)
  (moveto design 0.005 0.580)
  (curveto design 0.072 0.540 0.177 0.442 0.174 0.287)
  (curveto design 0.169 0.145 0.080 0.040 0.015 -0.005)
  (lineto design 0.009 0.003)
  (curveto design 0.127 0.122 0.115 0.193 0.115 0.297)
  (curveto design 0.120 0.417 0.095 0.490 0.0 0.570)
  (lineto design 0.005 0.580))

(defun draw-wedge (design)
  (moveto design 0 0)
  (lineto design -.075 .25)
  (lineto design .075 .25)
  (lineto design 0 0))

(defun draw-down-bow (design)
  (moveto design 0 0)
  (lineto design 0 .15)
  (lineto design .3 .15)
  (lineto design .3 0)
  (lineto design .29 0)
  (lineto design .29 .075)
  (lineto design .01 .075)
  (lineto design .01 0)
  (lineto design 0 0))

(defun draw-up-bow (design)
  (moveto design 0.075 0.000)
  (lineto design 0.000 0.250)
  (lineto design 0.010 0.250)
  (lineto design 0.075 0.055)
  (lineto design 0.140 0.250)
  (lineto design 0.150 0.250)
  (lineto design 0.075 0.000))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Numbers and Meters

(defun draw-zero (design)
  (moveto design 0.159 0.233)
  (curveto design 0.272 0.233 0.333 0.117 0.333 0.000)
  (curveto design 0.333 -0.130 0.270 -0.235 0.159 -0.233)
  (curveto design 0.041 -0.233 -0.013 -0.122 -0.019 -0.006)
  (curveto design -0.015 0.113 0.043 0.233 0.159 0.233)
  (moveto design 0.159 0.207)
  (curveto design 0.218 0.207 0.228 0.083 0.229 -0.002)
  (curveto design 0.228 -0.085 0.216 -0.207 0.159 -0.207)
  (curveto design 0.100 -0.207 0.089 -0.085 0.085 0.000)
  (curveto design 0.085 0.085 0.096 0.207 0.159 0.207))

(defun draw-one (design)
  (moveto design 0.070 -0.182)
  (curveto design 0.068 -0.199 0.042 -0.203 0.026 -0.203)
  (lineto design 0.026 -0.233)
  (lineto design 0.209 -0.233)
  (lineto design 0.209 -0.203)
  (curveto design 0.199 -0.202 0.171 -0.203 0.167 -0.187)
  (lineto design 0.167 0.233)
  (lineto design 0.070 0.233)
  (lineto design -0.011 0.034)
  (lineto design 0.010 0.024)
  (lineto design 0.070 0.130)
  (lineto design 0.070 -0.182))

(defun draw-two (design)
  (moveto design 0.068 0.170)
  (curveto design 0.093 0.168 0.130 0.167 0.130 0.113)
  (curveto design 0.123 0.042 0.007 0.044 0.006 0.131)
  (curveto design 0.007 0.179 0.074 0.233 0.146 0.233)
  (curveto design 0.224 0.233 0.318 0.202 0.329 0.107)
  (curveto design 0.320 0.010 0.238 -0.013 0.152 -0.052)
  (curveto design 0.105 -0.071 0.063 -0.114 0.067 -0.137)
  (curveto design 0.113 -0.107 0.157 -0.100 0.205 -0.122)
  (curveto design 0.239 -0.138 0.252 -0.170 0.274 -0.170)
  (curveto design 0.329 -0.170 0.316 -0.111 0.316 -0.107)
  (lineto design 0.337 -0.107)
  (curveto design 0.335 -0.158 0.326 -0.231 0.244 -0.237)
  (curveto design 0.165 -0.235 0.146 -0.172 0.083 -0.172)
  (curveto design 0.015 -0.167 0.024 -0.217 0.019 -0.226)
  (lineto design 0.000 -0.226)
  (lineto design 0.000 -0.161)
  (curveto design 0.011 -0.072 0.231 0.014 0.233 0.104)
  (curveto design 0.233 0.167 0.194 0.205 0.111 0.200)
  (curveto design 0.068 0.198 0.050 0.168 0.068 0.170))

(defun draw-three (design)
  (moveto design 0.094 0.007)
  (curveto design 0.163 0.028 0.204 0.039 0.203 0.102)
  (curveto design 0.212 0.180 0.159 0.209 0.117 0.207)
  (curveto design 0.072 0.210 0.026 0.165 0.052 0.155)
  (curveto design 0.113 0.148 0.113 0.074 0.050 0.068)
  (curveto design 0.020 0.070 -0.010 0.092 -0.005 0.147)
  (curveto design 0.034 0.273 0.291 0.257 0.292 0.103)
  (curveto design 0.292 0.039 0.265 0.019 0.220 0.000)
  (curveto design 0.259 -0.017 0.291 -0.043 0.289 -0.114)
  (curveto design 0.272 -0.281 -0.001 -0.262 -0.011 -0.134)
  (curveto design -0.013 -0.091 0.020 -0.063 0.050 -0.067)
  (curveto design 0.098 -0.070 0.113 -0.144 0.052 -0.157)
  (curveto design 0.033 -0.172 0.065 -0.207 0.117 -0.207)
  (curveto design 0.170 -0.201 0.208 -0.177 0.204 -0.099)
  (curveto design 0.200 -0.038 0.163 -0.028 0.094 -0.007)
  (lineto design 0.094 0.007))

(defun draw-four (design)
  (moveto design 0.252 0.233)
  (lineto design 0.113 0.233)
  (curveto design 0.107 0.128 0.108 0.003 -0.002 -0.097)
  (lineto design -0.002 -0.122)
  (lineto design 0.159 -0.122)
  (lineto design 0.159 -0.188)
  (curveto design 0.157 -0.198 0.130 -0.207 0.115 -0.206)
  (lineto design 0.115 -0.233)
  (lineto design 0.309 -0.233)
  (lineto design 0.309 -0.207)
  (curveto design 0.299 -0.207 0.274 -0.203 0.268 -0.187)
  (lineto design 0.268 -0.122)
  (lineto design 0.309 -0.122)
  (lineto design 0.309 -0.096)
  (lineto design 0.265 -0.096)
  (lineto design 0.265 0.146)
  (lineto design 0.159 0.017)
  (lineto design 0.159 -0.096)
  (lineto design 0.043 -0.096)
  (curveto design 0.139 0.021 0.217 0.149 0.252 0.233))

(defun draw-five (design)
      (moveto design 0.022 0.233)
      (lineto design 0.022 -0.002)
      (lineto design 0.050 -0.002)
      (curveto design 0.067 0.026 0.093 0.041 0.124 0.041)
      (curveto design 0.178 0.041 0.207 -0.015 0.207 -0.070)
      (curveto design 0.209 -0.165 0.169 -0.211 0.120 -0.212)
      (curveto design 0.098 -0.215 0.076 -0.211 0.056 -0.187)
      (curveto design 0.039 -0.149 0.114 -0.196 0.118 -0.126)
      (curveto design 0.104 -0.067 0.015 -0.068 0.008 -0.145)
      (curveto design 0.005 -0.275 0.306 -0.297 0.296 -0.063)
      (curveto design 0.283 0.028 0.224 0.068 0.137 0.068)
      (curveto design 0.109 0.068 0.076 0.056 0.050 0.030)
      (lineto design 0.050 0.159)
      (curveto design 0.057 0.152 0.152 0.135 0.199 0.155)
      (curveto design 0.248 0.176 0.264 0.203 0.269 0.236)
      (curveto design 0.181 0.212 0.087 0.211 0.022 0.233))

(defun draw-six (design)
  (moveto design 0.168 -0.238)
  (curveto design 0.244 -0.235 0.303 -0.182 0.305 -0.096)
  (curveto design 0.305 -0.043 0.274 0.030 0.205 0.030)
  (curveto design 0.167 0.030 0.137 0.015 0.115 -0.015)
  (curveto design 0.093 -0.006 0.089 0.176 0.150 0.207)
  (curveto design 0.194 0.235 0.242 0.198 0.231 0.181)
  (curveto design 0.207 0.176 0.188 0.159 0.190 0.119)
  (curveto design 0.208 0.062 0.291 0.069 0.300 0.128)
  (curveto design 0.299 0.175 0.276 0.236 0.179 0.240)
  (curveto design 0.074 0.235 0.007 0.117 0.007 0.004)
  (curveto design 0.011 -0.108 0.057 -0.231 0.168 -0.238)
  (moveto design 0.174 -0.215)
  (curveto design 0.220 -0.212 0.228 -0.155 0.228 -0.108)
  (curveto design 0.229 -0.061 0.222 0.006 0.174 0.006)
  (curveto design 0.124 0.006 0.115 -0.058 0.117 -0.108)
  (curveto design 0.118 -0.157 0.126 -0.215 0.174 -0.215))

(defun draw-seven (design)
  (moveto design 0.068 -0.233)
  (lineto design 0.202 -0.233)
  (curveto design 0.202 -0.228 0.185 -0.117 0.229 -0.048)
  (curveto design 0.263 0.007 0.338 0.076 0.330 0.234)
  (lineto design 0.306 0.234)
  (curveto design 0.266 0.147 0.235 0.205 0.169 0.225)
  (curveto design 0.080 0.235 0.061 0.169 0.028 0.220)
  (lineto design 0.004 0.220)
  (lineto design 0.004 0.120)
  (lineto design 0.028 0.120)
  (curveto design 0.037 0.164 0.106 0.177 0.151 0.139)
  (curveto design 0.214 0.099 0.265 0.112 0.294 0.142)
  (curveto design 0.286 0.060 0.218 0.004 0.159 -0.046)
  (curveto design 0.077 -0.112 0.067 -0.226 0.068 -0.233))

(defun draw-eight (design)
  (moveto design 0.146 0.235)
  (curveto design 0.068 0.233 0.015 0.198 -0.004 0.125)
  (curveto design -0.011 0.048 0.055 0.024 0.068 0.009)
  (curveto design 0.042 -0.006 -0.006 -0.051 -0.007 -0.117)
  (curveto design 0.002 -0.189 0.054 -0.234 0.154 -0.238)
  (curveto design 0.228 -0.237 0.295 -0.195 0.296 -0.109)
  (curveto design 0.301 -0.073 0.279 -0.025 0.220 0.015)
  (curveto design 0.265 0.045 0.290 0.082 0.287 0.131)
  (curveto design 0.279 0.193 0.213 0.233 0.146 0.235)
  (moveto design 0.146 0.209)
  (curveto design 0.200 0.208 0.233 0.170 0.235 0.114)
  (curveto design 0.237 0.083 0.208 0.052 0.185 0.038)
  (curveto design 0.149 0.070 0.085 0.083 0.069 0.140)
  (curveto design 0.069 0.172 0.101 0.208 0.146 0.209)
  (moveto design 0.099 -0.014)
  (curveto design 0.132 -0.040 0.191 -0.055 0.224 -0.114)
  (curveto design 0.240 -0.166 0.207 -0.207 0.146 -0.207)
  (curveto design 0.080 -0.202 0.051 -0.150 0.047 -0.098)
  (curveto design 0.043 -0.059 0.073 -0.024 0.098 -0.013))

(defun draw-nine (design)
  (moveto design 0.129 0.235)
  (curveto design -0.113 0.212 -0.049 -0.123 0.189 -0.003)
  (curveto design 0.211 0.006 0.216 -0.176 0.157 -0.198)
  (curveto design 0.106 -0.232 0.072 -0.203 0.079 -0.197)
  (curveto design 0.125 -0.179 0.135 -0.142 0.114 -0.105)
  (curveto design 0.096 -0.065 0.019 -0.072 0.003 -0.133)
  (curveto design 0.000 -0.193 0.053 -0.244 0.132 -0.235)
  (curveto design 0.220 -0.231 0.307 -0.117 0.307 -0.003)
  (curveto design 0.309 0.111 0.264 0.240 0.131 0.235)
  (moveto design 0.131 0.215)
  (curveto design 0.085 0.213 0.075 0.155 0.076 0.109)
  (curveto design 0.076 0.059 0.080 -0.006 0.131 -0.006)
  (curveto design 0.181 -0.007 0.191 0.059 0.187 0.109)
  (curveto design 0.187 0.157 0.178 0.215 0.131 0.215))

(defun draw-common-time (design)
  (moveto design 0.004 0.000)
  (moveto design 0.004 0.000)
  (curveto design 0.004 -0.128 0.096 -0.247 0.228 -0.247)
  (curveto design 0.328 -0.246 0.391 -0.171 0.410 -0.070)
  (lineto design 0.383 -0.070)
  (curveto design 0.366 -0.160 0.310 -0.215 0.230 -0.223)
  (curveto design 0.136 -0.220 0.110 -0.114 0.113 -0.002)
  (curveto design 0.113 0.102 0.128 0.200 0.224 0.220)
  (curveto design 0.266 0.230 0.312 0.220 0.344 0.186)
  (curveto design 0.358 0.172 0.356 0.162 0.334 0.156)
  (curveto design 0.300 0.159 0.263 0.134 0.263 0.084)
  (curveto design 0.270 -0.004 0.414 -0.001 0.418 0.096)
  (curveto design 0.418 0.210 0.310 0.258 0.218 0.252)
  (curveto design 0.092 0.246 0.004 0.128 0.004 0.000))

(defun draw-cut-time (design)
  (draw-common-time design)
  (moveto design 0.194 0.374)
  (lineto design 0.194 -0.414)
  (lineto design 0.222 -0.414)
  (lineto design 0.222 0.374))

(defun draw-plus (design)
  (moveto design 0.000 -0.020)
  (lineto design 0.100 -0.020)
  (lineto design 0.100 -0.140)
  (lineto design 0.140 -0.140)
  (lineto design 0.140 -0.020)
  (lineto design 0.240 -0.020)
  (lineto design 0.240 0.020)
  (lineto design 0.140 0.020)
  (lineto design 0.140 0.140)
  (lineto design 0.100 0.140)
  (lineto design 0.100 0.020)
  (lineto design 0.000 0.020)
  (lineto design 0.000 -0.020))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Accidentals

(defun draw-sharp (design)
  (moveto design 0.168 0.098)
  (lineto design 0.168 -0.050)
  (lineto design 0.210 -0.032)
  (lineto design 0.210 -0.136)
  (lineto design 0.168 -0.154)
  (lineto design 0.168 -0.338)
  (lineto design 0.140 -0.338)
  (lineto design 0.140 -0.166)
  (lineto design 0.072 -0.194)
  (lineto design 0.072 -0.380)
  (lineto design 0.044 -0.380)
  (lineto design 0.044 -0.206)
  (lineto design 0.000 -0.222)
  (lineto design 0.000 -0.116)
  (lineto design 0.044 -0.100)
  (lineto design 0.044 0.048)
  (lineto design 0.000 0.032)
  (lineto design 0.000 0.138)
  (lineto design 0.044 0.154)
  (lineto design 0.044 0.338)
  (lineto design 0.072 0.338)
  (lineto design 0.072 0.166)
  (lineto design 0.140 0.192)
  (lineto design 0.140 0.380)
  (lineto design 0.168 0.380)
  (lineto design 0.168 0.204)
  (lineto design 0.210 0.222)
  (lineto design 0.210 0.116)
  (lineto design 0.168 0.098)
  (moveto design 0.140 0.088)
  (lineto design 0.072 0.060)
  (lineto design 0.072 -0.088)
  (lineto design 0.140 -0.060)
  (lineto design 0.140 0.088))

(defun draw-flat (design)
  (moveto design 0.027 0.086)
  (lineto design 0.027 0.483)
  (lineto design 0.000 0.483)
  (lineto design 0.000 -0.193)
  (curveto design 0.012 -0.186 0.070 -0.139 0.097 -0.119)
  (curveto design 0.141 -0.086 0.244 -0.024 0.215 0.082)
  (curveto design 0.165 0.204 0.027 0.087 0.027 0.086)
  (moveto design 0.027 0.037)
  (lineto design 0.027 -0.137)
  (curveto design 0.032 -0.140 0.206 0.029 0.120 0.090)
  (curveto design 0.112 0.093 0.085 0.105 0.027 0.037))

(defun draw-double-sharp (design)
  (moveto design 0.000 0.130)
  (lineto design 0.090 0.130)
  (curveto design 0.091 -0.002 0.174 -0.001 0.170 0.130)
  (lineto design 0.260 0.130)
  (lineto design 0.260 0.040)
  (curveto design 0.127 0.028 0.136 -0.040 0.260 -0.040)
  (lineto design 0.260 -0.130)
  (lineto design 0.170 -0.130)
  (curveto design 0.165 0.002 0.091 0.000 0.090 -0.130)
  (lineto design 0.000 -0.130)
  (lineto design 0.000 -0.043)
  (curveto design 0.127 -0.042 0.127 0.027 0.000 0.040)
  (lineto design 0.000 0.130))

(defun draw-natural (design)
  (moveto design 0.000 -0.180)
  (lineto design 0.144 -0.142)
  (lineto design 0.144 -0.348)
  (lineto design 0.170 -0.348)
  (lineto design 0.170 0.176)
  (lineto design 0.026 0.138)
  (lineto design 0.026 0.348)
  (lineto design 0.000 0.348)
  (lineto design 0.000 -0.180)
  (moveto design 0.026 -0.076)
  (lineto design 0.026 0.048)
  (lineto design 0.144 0.078)
  (lineto design 0.144 -0.046)
  (lineto design 0.026 -0.076))

;; FIXME
#||
(defun draw-double-flat (design)
  (draw-flat design)
  (matrix-front design (list 1 0 0 1 (* .2 (scr-size design)) 0))
  (draw-flat design 0.425 0.025 0.03 0 360))))
||#

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Dynamics

(defun draw-f (design)
  (moveto design 0.420 0.238)
  (lineto design 0.330 0.238)
  (curveto design 0.330 0.230 0.334 0.348 0.418 0.386)
  (curveto design 0.444 0.398 0.496 0.400 0.490 0.374)
  (curveto design 0.488 0.362 0.462 0.370 0.452 0.360)
  (curveto design 0.429 0.342 0.426 0.308 0.448 0.292)
  (curveto design 0.478 0.276 0.521 0.292 0.514 0.344)
  (curveto design 0.514 0.400 0.456 0.432 0.386 0.414)
  (curveto design 0.258 0.380 0.232 0.240 0.234 0.238)
  (lineto design 0.158 0.238)
  (lineto design 0.158 0.210)
  (lineto design 0.228 0.210)
  (curveto design 0.228 0.208 0.172 -0.046 0.122 -0.117)
  (curveto design 0.114 -0.133 0.096 -0.158 0.078 -0.158)
  (curveto design 0.056 -0.162 0.046 -0.142 0.060 -0.139)
  (curveto design 0.099 -0.138 0.113 -0.074 0.056 -0.059)
  (curveto design 0.022 -0.052 -0.018 -0.102 0.007 -0.146)
  (curveto design 0.026 -0.176 0.088 -0.188 0.134 -0.162)
  (curveto design 0.244 -0.100 0.287 0.046 0.324 0.210)
  (lineto design 0.420 0.210)
  (lineto design 0.420 0.238))

(defun draw-p (design)
  (moveto design 0.184 0.047)
  (curveto design 0.203 0.016 0.218 0.006 0.248 0.004)
  (curveto design 0.379 0.002 0.464 0.230 0.336 0.290)
  (curveto design 0.280 0.310 0.228 0.262 0.211 0.246)
  (curveto design 0.210 0.333 0.126 0.312 0.068 0.153)
  (lineto design 0.089 0.147)
  (curveto design 0.155 0.310 0.205 0.279 0.185 0.224)
  (lineto design 0.040 -0.120)
  (lineto design 0.000 -0.120)
  (lineto design 0.000 -0.146)
  (lineto design 0.157 -0.146)
  (lineto design 0.157 -0.120)
  (lineto design 0.117 -0.120)
  (lineto design 0.184 0.047)
  (moveto design 0.222 0.047)
  (curveto design 0.160 0.086 0.245 0.261 0.321 0.268)
  (curveto design 0.377 0.218 0.303 0.029 0.222 0.047))

(defun draw-lig-p (design)
  ;; p without the pronounced upstroke (to connect to f in fp)
  (moveto design 0.184 0.047)
  (curveto design 0.203 0.016 0.218 0.006 0.248 0.004)
  (curveto design 0.379 0.002 0.464 0.230 0.336 0.290)
  (curveto design 0.280 0.310 0.228 0.262 0.211 0.246)
  (curveto design 0.205 0.285 0.168 0.304 0.138 0.296)
  (lineto design 0.136 0.270)
  (curveto design 0.162 0.278 0.190 0.257 0.185 0.224)
  (lineto design 0.040 -0.120)
  (lineto design 0.000 -0.120)
  (lineto design 0.000 -0.145)
  (lineto design 0.157 -0.145)
  (lineto design 0.157 -0.120)
  (lineto design 0.117 -0.120)
  (lineto design 0.184 0.047)
  (moveto design 0.222 0.047)
  (curveto design 0.160 0.086 0.245 0.261 0.321 0.268)
  (curveto design 0.377 0.218 0.303 0.029 0.222 0.047))

(defun draw-m (design)
  (moveto design 0.188 0.000)
  (lineto design 0.271 0.226)
  (curveto design 0.287 0.270 0.252 0.303 0.207 0.225)
  (lineto design 0.120 0.000)
  (lineto design 0.052 0.000)
  (lineto design 0.157 0.261)
  (curveto design 0.160 0.304 0.072 0.266 0.045 0.184)
  (lineto design 0.027 0.184)
  (curveto design 0.056 0.245 0.100 0.301 0.159 0.292)
  (curveto design 0.188 0.286 0.200 0.262 0.200 0.243)
  (curveto design 0.228 0.303 0.327 0.312 0.333 0.243)
  (curveto design 0.373 0.317 0.488 0.303 0.468 0.236)
  (lineto design 0.396 0.038)
  (curveto design 0.386 0.001 0.435 0.024 0.460 0.074)
  (lineto design 0.472 0.071)
  (curveto design 0.429 -0.026 0.310 -0.065 0.335 0.019)
  (lineto design 0.403 0.222)
  (curveto design 0.424 0.273 0.375 0.291 0.346 0.228)
  (lineto design 0.264 0.000)
  (lineto design 0.186 0.000))

(defun draw-n (design)
  (moveto design 0.210 0.019)
  (lineto design 0.280 0.226)
  (curveto design 0.287 0.270 0.253 0.302 0.207 0.225)
  (lineto design 0.120 0.000)
  (lineto design 0.052 0.000)
  (lineto design 0.158 0.261)
  (curveto design 0.160 0.304 0.072 0.266 0.045 0.184)
  (lineto design 0.028 0.184)
  (curveto design 0.056 0.245 0.100 0.301 0.159 0.292)
  (curveto design 0.188 0.286 0.200 0.263 0.200 0.242)
  (curveto design 0.228 0.302 0.338 0.312 0.341 0.243)
  (lineto design 0.265 0.024)
  (curveto design 0.264 0.001 0.331 0.024 0.340 0.074)
  (lineto design 0.352 0.071)
  (curveto design 0.33 -0.026 0.210 -0.065 0.210 0.019))

#||
(defun draw-niente (design &optional style)
  (if *use-circle-as-niente*
      (progn
        (comment design "n.")
        (setf (line-width design) 0.02)
        (circle design 0.1 0.125 .05 0 360 nil)
        (setf (line-width design) 0.0))
    (progn
      (draw-n design style)
      (circle design 0.425 0.025 0.03 0 360 t))))

(defun draw-subito (design)
  (comment design "I")
  (setf (line-width design) 0.02)
  (moveto design 0.3 -0.2)
  (rlineto design 0 0.7)
  (draw design t)
  (setf (line-width design) 0.0))
||#

(defun draw-z (design)
  (moveto design 0.082 0.287)
  (lineto design 0.052 0.222)
  (lineto design 0.069 0.222)
  (lineto design 0.089 0.240)
  (lineto design 0.238 0.240)
  (lineto design -0.003 0.006)
  (lineto design 0.034 0.006)
  (curveto design 0.072 0.043 0.156 0.028 0.191 0.003)
  (curveto design 0.274 -0.021 0.302 0.046 0.265 0.101)
  (curveto design 0.251 0.117 0.219 0.118 0.205 0.093)
  (curveto design 0.206 0.050 0.249 0.075 0.246 0.041)
  (curveto design 0.206 0.000 0.196 0.113 0.092 0.061)
  (lineto design 0.299 0.261)
  (lineto design 0.299 0.287)
  (lineto design 0.082 0.287))

(defun draw-s (design)
  (moveto design 0.148 0.066)
  (curveto design 0.161 0.028 0.130 0.002 0.083 0.009)
  (curveto design 0.032 0.038 0.107 0.045 0.077 0.088)
  (curveto design 0.055 0.113 0.018 0.101 0.014 0.068)
  (curveto design 0.019 -0.043 0.216 -0.041 0.208 0.076)
  (curveto design 0.200 0.141 0.113 0.167 0.091 0.211)
  (curveto design 0.072 0.255 0.134 0.297 0.172 0.268)
  (curveto design 0.212 0.237 0.145 0.225 0.188 0.188)
  (curveto design 0.223 0.179 0.242 0.199 0.236 0.224)
  (curveto design 0.209 0.327 0.028 0.306 0.032 0.212)
  (curveto design 0.037 0.149 0.142 0.116 0.148 0.066))

(defun draw-r (design)
  (moveto design 0.210 0.010)
  (curveto design 0.243 0.184 0.262 0.219 0.295 0.246)
  (curveto design 0.350 0.261 0.311 0.213 0.349 0.198)
  (curveto design 0.398 0.181 0.431 0.252 0.368 0.291)
  (curveto design 0.327 0.308 0.278 0.268 0.256 0.235)
  (curveto design 0.303 0.336 0.172 0.345 0.072 0.198)
  (lineto design 0.085 0.186)
  (curveto design 0.123 0.248 0.206 0.312 0.185 0.239)
  (lineto design 0.129 0.010)
  (lineto design 0.210 0.010))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Note Heads and Flags

(defun draw-double-whole-note (design)
  (moveto design .298 .127)
  (curveto design 0.393 0.127 0.501 0.087 0.505 0.000)
  (curveto design 0.508 -0.095 0.393 -0.128 0.298 -0.127)
  (curveto design 0.207 -0.125 0.100 -0.087 0.100 0.000)
  (curveto design 0.102 0.091 0.204 0.127 0.298 0.127)
  (moveto design 0.263 .108)
  (curveto design 0.325 0.124 0.370 0.065 0.381 0.001)
  (curveto design 0.389 -0.050 0.387 -0.091 0.342 -0.108)
  (curveto design 0.286 -0.125 0.247 -0.075 0.230 -0.023)
  (curveto design 0.214 0.039 0.212 0.089 0.263 0.108)
  (moveto design 0.000 0.166)
  (lineto design 0.031 0.166)
  (lineto design 0.031 -0.166)
  (lineto design 0.000 -0.166)
  (lineto design 0.000 0.166)
  (moveto design 0.069 0.166)
  (lineto design 0.100 0.166)
  (lineto design 0.100 -0.166)
  (lineto design 0.069 -0.166)
  (lineto design 0.069 0.166)
  (moveto design 0.505 0.166)
  (lineto design 0.537 0.166)
  (lineto design 0.537 -0.166)
  (lineto design 0.505 -0.166)
  (lineto design 0.505 0.166)
  (moveto design 0.576 0.166)
  (lineto design 0.607 0.166)
  (lineto design 0.607 -0.166)
  (lineto design 0.576 -0.166)
  (lineto design 0.576 0.166))

(defun draw-whole-note (design)
  (moveto design 0.198 0.127)
  (curveto design 0.293 0.127 0.402 0.087 0.405 0.000)
  (curveto design 0.408 -0.095 0.293 -0.128 0.198 -0.127)
  (curveto design 0.107 -0.125 0.000 -0.087 0.000 0.000)
  (curveto design 0.002 0.091 0.104 0.127 0.198 0.127)
  (moveto design 0.163 0.108)
  (curveto design 0.225 0.124 0.270 0.065 0.281 0.001)
  (curveto design 0.289 -0.050 0.287 -0.091 0.242 -0.108)
  (curveto design 0.186 -0.125 0.147 -0.075 0.130 -0.023)
  (curveto design 0.114 0.039 0.112 0.089 0.163 0.108))

(defun draw-half-note (design)
  (moveto design 0.020 -0.101)
  (curveto design -0.063 0.037 0.185 0.197 0.268 0.107)
  (curveto design 0.379 -0.010 0.137 -0.193 0.021 -0.101)
  (moveto design 0.043 -0.082)
  (curveto design 0.015 -0.007 0.207 0.125 0.239 0.087)
  (curveto design 0.291 0.027 0.097 -0.139 0.043 -0.082))

(defun draw-quarter-note (design)
  (moveto design 0.014 -0.088)
  (curveto design -0.014 -0.030 0.026 0.056 0.090 0.096)
  (curveto design 0.144 0.128 0.230 0.142 0.270 0.092)
  (curveto design 0.316 0.024 0.258 -0.060 0.190 -0.100)
  (curveto design 0.130 -0.126 0.066 -0.136 0.014 -0.088))

(defun draw-diamond (design)
;  (setf (line-width design) .03)
  (moveto design 0 0)
  (rlineto design .14 .14)
  (rlineto design .14 -.14)
  (rlineto design -.14 -.14)
  (rlineto design -.14 .14))
;  (setf (line-width design) 0))

#||
(defun draw-diamond-1 (design)
  (comment design "diamond-1") ;Anders Vinjar
  (setf (line-width design) .03)
  (moveto design 0 0)
  (curveto design 0.04 0.03 0.10 .07 .14 .14)
  (curveto design .12 .05 .08 .03 0.0 0.0)
  (moveto design .28 .0)
  (curveto design  .24 -.03 .18 -.07 .14 -.14)
  (curveto design .16 -.07 .20 -.03 .28 .0)
  (moveto design .0 .0)
  (lineto design .05 .03)
  (curveto design .1 .0 .13 -.02 .17 -.08)
  (lineto design .14 -.14)
  (curveto design .10 -.07 .04 -0.03 0 0)
  (moveto design .28 .0)
  (lineto design .23 -.03)
  (curveto design .20 -.02 .14 .01 .11 .09)
  (lineto design .14 .14)
  (curveto design .18 .07 .24 .03 .28 .0)
  (fill-in design)
  (if (not style) (fill-in design :even-odd t) (draw design style))
  (setf (line-width design) 0))
  
(defun draw-filled-diamond-1 (design)
  (comment design "filled diamond-1")
  (setf (line-width design) .03)
  (moveto design 0 0)
  (curveto design 0.04 0.03 0.10 .07 .14 .14)
  (curveto design .18 .07 .24 .03  .28 .0)
  (curveto design .24 -.03 .18 -.07 .14 -.14)
  (curveto design .10 -.07 .04 -0.03 0 0)
  (if (not style) (fill-in design :even-odd t) (draw design style))
  (setf (line-width design) 0))
||#

(defun draw-rhythmX (design)
  (moveto design 0.128 0.000)
  (lineto design 0.002 0.102)
  (lineto design 0.020 0.124)
  (lineto design 0.150 0.020)
  (lineto design 0.278 0.124)
  (lineto design 0.296 0.102)
  (lineto design 0.170 0.000)
  (lineto design 0.298 -0.102)
  (lineto design 0.278 -0.124)
  (lineto design 0.150 -0.020)
  (lineto design 0.020 -0.124)
  (lineto design 0.004 -0.104)
  (lineto design 0.128 0.000))

#||
(defun draw-circled-x (design)
  (let ((off .06)
	(size .75))
    (comment design "circled-X")
    (moveto design (* size (+ off 0.020)) (* size 0.124))
    (lineto design (* size (+ off 0.150)) (* size 0.020))
    (lineto design (* size (+ off 0.278)) (* size 0.124))
    (curveto design (* size (+ off 0.224)) (* size 0.190) (* size (+ off 0.085)) (* size 0.188) (* size (+ off 0.020)) (* size 0.124))
    (moveto design (* size (+ off 0.296)) (* size 0.102))
    (lineto design (* size (+ off 0.170)) (* size 0.000))
    (lineto design (* size (+ off 0.297)) (* size -0.101))
    (curveto design (* size (+ off 0.341)) (* size -0.056) (* size (+ off 0.339)) (* size 0.050) (* size (+ off 0.296)) (* size 0.102))
    (moveto design (* size (+ off 0.278)) (* size -0.124))
    (lineto design (* size (+ off 0.150)) (* size -0.020))
    (lineto design (* size (+ off 0.020)) (* size -0.124))
    (curveto design (* size (+ off 0.080)) (* size -0.189) (* size (+ off 0.221)) (* size -0.194) (* size (+ off 0.278)) (* size -0.124))
    (moveto design (* size (+ off 0.004)) (* size -0.104))
    (lineto design (* size (+ off 0.128)) (* size 0.000))
    (lineto design (* size (+ off 0.003)) (* size 0.102))
    (curveto design (* size (+ off -0.048)) (* size 0.055) (* size (+ off -0.044)) (* size -0.061) (* size (+ off 0.004)) (* size -0.104))
    (moveto design (* size (+ off -0.065)) (* size 0.003))
    (curveto design (* size (+ off -0.064)) (* size 0.264) (* size (+ off 0.360)) (* size 0.280) (* size (+ off 0.361)) (* size 0.000))
    (curveto design (* size (+ off 0.361)) (* size -0.278) (* size (+ off -0.059)) (* size -0.279) (* size (+ off -0.064)) (* size 0.000))
    (if (not style) (fill-in design) (draw design style))))
  
;(defvar circled-x-bounds (list (* .75 (+ .06 -0.065)) (* .75 -0.207) (* .75 (+ .06 0.361)) (* .75 0.204)))
(defvar circled-x-bounds '(-0.00375 -.015525 0.31575 0.153))


(defun draw-slash (design)
  (comment design "slash")
  (setf (line-width design) .1) 
  (moveto design 0 -.15) 
  (rlineto design .275 .275) 
  (draw design style) 
  (setf (line-width design) 0))

(defvar slash-bounds '(0.0 -.15 .275 .3))


(defun draw-mslash (design)
  (comment design "slash")
  (setf (line-width design) .05) 
  (moveto design .05 -.225) 
  (rlineto design .2 .45) 
  (draw design style) 
  (setf (line-width design) 0))

(defvar mslash-bounds '(0.0 -.2 .225 .4))


;;; these versions of 'triangle and 'square makes sure that the start
;;; and end of the drawn line is on the middle of one of its sides,
;;; ensuring 'sharp corners

(defun draw-triangle (design)
  (comment design "triangle")
  (setf (line-width design) .03)
  (moveto design  .14 -.11)
  (rlineto design -.14 0)
  (rlineto design .14 .25)
  (rlineto design .14 -.25)
  (rlineto design -.14 .0)
  (if (not style) (fill-in design) (draw design style))
  (setf (line-width design) 0))

(defvar triangle-bounds '(0.0 -.11 .30 .14))


(defun draw-square (design)
  (comment design "square")
  (setf (line-width design) .04)
  (moveto design .13 -.13)
  (rlineto design -.13 0)
  (rlineto design 0 .26)
  (rlineto design .26 0)
  (rlineto design 0 -.26)
  (rlineto design -.13 0)
  (if (not style) (fill-in design) (draw design style))
  (setf (line-width design) 0))

(defvar square-bounds '(0 -.13 .28 .13))
||#

(defun draw-8th-flag-up (design) ;stem up, flag hangs down
  (moveto design 0.000 0.296)
  (lineto design 0.019 0.296)
  (curveto design 0.022 0.239 0.031 0.146 0.101 0.092)
  (curveto design 0.246 -0.053 0.275 -0.121 0.268 -0.260)
  (curveto design 0.260 -0.411 0.213 -0.482 0.182 -0.540)
  (lineto design 0.175 -0.535)
  (curveto design 0.221 -0.453 0.247 -0.358 0.244 -0.257)
  (curveto design 0.243 -0.119 0.118 0.000 0.021 0.000)
  (lineto design 0.021 -0.024)
  (lineto design 0.000 -0.024)
  (lineto design 0.000 0.296))

(defun draw-extend-flag-up (design)
  (moveto design 0.000 0.296)
  (lineto design 0.021 0.296)
  (curveto design 0.025 0.196 0.065 0.158 0.122 0.094)
  (curveto design 0.213 -0.011 0.400 -0.160 0.264 -0.512)
  (lineto design 0.262 -0.494)
  (curveto design 0.319 -0.325 0.290 -0.185 0.240 -0.118)
  (curveto design 0.194 -0.051 0.065 0.076 0.026 0.033)
  (lineto design 0.026 -0.025)
  (lineto design 0.000 -0.025)
  (lineto design 0.000 0.296))

(defun draw-8th-flag-down (design)  ;invert by hand...
  (moveto design 0.000 -0.296)
  (lineto design 0.019 -0.296)
  (curveto design 0.022 -0.239 0.031 -0.146 0.101 -0.092)
  (curveto design 0.246 0.053 0.275 0.121 0.268 0.260)
  (curveto design 0.260 0.411 0.213 0.482 0.182 0.540)
  (lineto design 0.175 0.535)
  (curveto design 0.221 0.453 0.247 0.358 0.244 0.257)
  (curveto design 0.243 0.119 0.118 0.000 0.021 0.000)
  (lineto design 0.021 0.024)
  (lineto design 0.000 0.024)
  (lineto design 0.000 -0.296))

(defun draw-extend-flag-down (design)
  (moveto design 0.000 -0.296)
  (lineto design 0.021 -0.296)
  (curveto design 0.025 -0.196 0.065 -0.158 0.122 -0.094)
  (curveto design 0.213 0.011 0.400 0.160 0.264 0.512)
  (lineto design 0.262 0.494)
  (curveto design 0.319 0.325 0.290 0.185 0.240 0.118)
  (curveto design 0.194 0.051 0.065 -0.076 0.026 -0.033)
  (lineto design 0.026 0.025)
  (lineto design 0.000 0.025)
  (lineto design 0.000 -0.296))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Rests

(defun draw-whole-rest (design)
  (moveto design 0.063 0.253)
  (lineto design 0.063 0.127)
  (lineto design 0.359 0.127)
  (lineto design 0.359 0.253)
  (lineto design 0.422 0.253)
  (lineto design 0.422 0.256)
  (lineto design 0.000 0.256)
  (lineto design 0.000 0.253)
  (lineto design 0.063 0.253))

(defun draw-half-rest (design)
  (moveto design 0.063 0.127)
  (lineto design 0.063 0.000)
  (lineto design 0.000 0.000)
  (lineto design 0.000 -0.003)
  (lineto design 0.422 -0.003)
  (lineto design 0.422 0.000)
  (lineto design 0.359 0.000)
  (lineto design 0.359 0.127)
  (lineto design 0.063 0.127))

(defun draw-quarter-rest (design)
  (moveto design 0.072 0.358)
  (curveto design 0.120 0.253 0.160 0.158 0.038 0.058)
  (lineto design 0.182 -0.103)
  (curveto design -0.028 -0.032 -0.058 -0.248 0.180 -0.343)
  (lineto design 0.187 -0.322)
  (curveto design 0.042 -0.222 0.150 -0.103 0.230 -0.142)
  (lineto design 0.243 -0.127)
  (curveto design 0.220 -0.082 0.170 -0.043 0.157 0.012)
  (curveto design 0.165 0.120 0.290 0.113 0.237 0.187)
  (lineto design 0.103 0.355)
  (lineto design 0.072 0.358))

(defun draw-8th-rest (design)
  (moveto design 0.164 0.131)
  (curveto design 0.171 0.222 0.046 0.236 0.028 0.136)
  (curveto design 0.032 0.030 0.159 0.033 0.224 0.086)
  (lineto design 0.140 -0.256)
  (lineto design 0.174 -0.256)
  (lineto design 0.286 0.200)
  (lineto design 0.259 0.200)
  (curveto design 0.249 0.140 0.188 0.074 0.142 0.079)
  (curveto design 0.154 0.096 0.166 0.114 0.164 0.131))

(defun draw-16th-rest (design)
  (moveto design 0.102 -0.170)
  (curveto design 0.128 -0.152 0.141 -0.128 0.136 -0.113)
  (curveto design 0.144 -0.032 0.017 -0.020 0.000 -0.113)
  (curveto design 0.000 -0.224 0.146 -0.224 0.208 -0.163)
  (lineto design 0.118 -0.503)
  (lineto design 0.150 -0.503)
  (lineto design 0.334 0.200)
  (lineto design 0.302 0.200)
  (curveto design 0.292 0.141 0.221 0.065 0.168 0.077)
  (curveto design 0.167 0.079 0.162 0.081 0.164 0.082)
  (curveto design 0.186 0.096 0.196 0.119 0.194 0.136)
  (curveto design 0.197 0.221 0.070 0.234 0.056 0.136)
  (curveto design 0.058 0.029 0.205 0.018 0.276 0.100)
  (lineto design 0.232 -0.068)
  (curveto design 0.221 -0.126 0.165 -0.181 0.106 -0.171))

(defun draw-32nd-rest (design)
  (moveto design 0.164 0.077)
  (curveto design 0.182 0.099 0.194 0.114 0.199 0.136)
  (curveto design 0.201 0.228 0.070 0.241 0.058 0.136)
  (curveto design 0.064 0.034 0.211 0.028 0.270 0.083)
  (lineto design 0.228 -0.076)
  (curveto design 0.219 -0.126 0.165 -0.174 0.107 -0.168)
  (curveto design 0.102 -0.170 0.109 -0.168 0.104 -0.168)
  (curveto design 0.124 -0.151 0.136 -0.133 0.136 -0.115)
  (curveto design 0.142 -0.031 0.007 -0.019 0.000 -0.115)
  (curveto design 0.003 -0.216 0.146 -0.216 0.206 -0.170)
  (lineto design 0.128 -0.510)
  (lineto design 0.172 -0.510)
  (lineto design 0.400 0.453)
  (lineto design 0.364 0.453)
  (curveto design 0.354 0.393 0.295 0.329 0.229 0.334)
  (curveto design 0.260 0.372 0.253 0.354 0.260 0.388)
  (curveto design 0.268 0.470 0.129 0.486 0.117 0.388)
  (curveto design 0.125 0.285 0.261 0.281 0.330 0.333)
  (lineto design 0.294 0.196)
  (curveto design 0.282 0.133 0.235 0.077 0.160 0.077))

(defun draw-64th-rest (design)
  (moveto design 0.161 0.081)
  (curveto design 0.188 0.096 0.196 0.117 0.194 0.136)
  (curveto design 0.205 0.210 0.076 0.231 0.058 0.136)
  (curveto design 0.054 0.029 0.214 0.019 0.270 0.087)
  (lineto design 0.228 -0.076)
  (curveto design 0.216 -0.124 0.163 -0.184 0.102 -0.170)
  (curveto design 0.129 -0.151 0.138 -0.134 0.136 -0.115)
  (curveto design 0.147 -0.039 0.018 -0.013 0.000 -0.115)
  (curveto design 0.000 -0.220 0.151 -0.228 0.206 -0.170)
  (lineto design 0.122 -0.510)
  (lineto design 0.164 -0.510)
  (lineto design 0.454 0.708)
  (lineto design 0.419 0.708)
  (curveto design 0.409 0.644 0.341 0.566 0.281 0.588)
  (curveto design 0.306 0.610 0.314 0.630 0.314 0.642)
  (curveto design 0.325 0.721 0.189 0.734 0.176 0.642)
  (curveto design 0.179 0.536 0.333 0.532 0.386 0.590)
  (lineto design 0.347 0.434)
  (curveto design 0.341 0.384 0.284 0.325 0.225 0.334)
  (curveto design 0.246 0.350 0.254 0.370 0.254 0.388)
  (curveto design 0.261 0.466 0.134 0.486 0.117 0.388)
  (curveto design 0.119 0.284 0.266 0.279 0.328 0.338)
  (lineto design 0.296 0.207)
  (curveto design 0.285 0.154 0.235 0.063 0.164 0.080))

(defun draw-128th-rest (design)
  (moveto design 0.277 0.586)
  (curveto design 0.306 0.604 0.314 0.623 0.314 0.641)
  (curveto design 0.320 0.727 0.189 0.733 0.176 0.641)
  (curveto design 0.181 0.536 0.343 0.526 0.386 0.589)
  (lineto design 0.350 0.434)
  (curveto design 0.341 0.400 0.309 0.323 0.226 0.333)
  (curveto design 0.246 0.350 0.254 0.369 0.254 0.389)
  (curveto design 0.267 0.469 0.134 0.480 0.119 0.389)
  (curveto design 0.111 0.286 0.284 0.274 0.326 0.336)
  (lineto design 0.296 0.209)
  (curveto design 0.286 0.179 0.253 0.067 0.164 0.079)
  (curveto design 0.189 0.096 0.194 0.114 0.194 0.136)
  (curveto design 0.200 0.223 0.073 0.226 0.059 0.136)
  (curveto design 0.059 0.023 0.221 0.027 0.269 0.079)
  (lineto design 0.229 -0.076)
  (curveto design 0.214 -0.117 0.180 -0.183 0.106 -0.170)
  (curveto design 0.129 -0.153 0.136 -0.133 0.136 -0.116)
  (curveto design 0.147 -0.033 0.004 -0.020 0.000 -0.116)
  (curveto design 0.004 -0.229 0.160 -0.224 0.204 -0.176)
  (lineto design 0.121 -0.510)
  (lineto design 0.164 -0.510)
  (lineto design 0.514 0.954)
  (lineto design 0.481 0.954)
  (curveto design 0.467 0.903 0.436 0.820 0.340 0.836)
  (curveto design 0.367 0.849 0.377 0.874 0.371 0.890)
  (curveto design 0.383 0.967 0.250 0.993 0.236 0.890)
  (curveto design 0.240 0.787 0.406 0.776 0.446 0.830)
  (lineto design 0.416 0.704)
  (curveto design 0.406 0.684 0.370 0.576 0.279 0.583))

#||
(defun draw-measure-rest (design)
  (comment design "measure rest")
  (moveto design 0 .25)
  (rlineto design 0 -.5)
  (moveto design .5 .25)
  (rlineto design 0 -.5)
  (draw design style)
  (setf (line-width design) .225)
  (moveto design 0 0)
  (lineto design .5 0)
  (draw design style)
  (setf (line-width design) 0))
||#

(defun draw-double-whole-rest (design)
  (moveto design 0 .5)
  (rlineto design 0 .25)
  (rlineto design .15 0)
  (rlineto design 0 -.25)
  (rlineto design -.15 0))
